#! /bin/sh

echo "Checking GCC 2.95.2 installation ... \c"

# check directories.
dirs="/usr/gnu /usr/gnu/bin /usr/gnu/i386-pc-uwin/bin"
missing=""
for d in $dirs; do
  if [ ! -d $d ]; then
    missing="$missing $d"
  fi
done

if [ -n "$missing" ]; then
  echo "Installation problem -- reinstall."
  echo "  Missing key directories: $missing"
  exit 1
else
  echo "ok."
fi

# now fix the files.

echo "Linking files in /usr/gnu/bin ... \c"

cd /usr/gnu/bin
rm -f g++.exe
ln c++.exe g++.exe
rm -f i386-pc-uwin-gcc.exe
ln gcc.exe i386-pc-uwin-gcc.exe

echo "done."

echo "Linking files in /usr/gnu/i386-pc-uwin/bin ... \c"

cd /usr/gnu/i386-pc-uwin/bin
for f in *.exe; do
  rm -f $f
  ln /usr/gnu/bin/$f $f
done

echo "done."

echo "Fixing files in /usr/gnu/lib/gcc-lib/i386-pc-uwin/2.95.2 ... \c"

cd /usr/gnu/lib/gcc-lib/i386-pc-uwin/2.95.2
rm -f libstdc++.a
ln /usr/gnu/lib/libstdc++.a.2.10.0 libstdc++.a

echo "done."

exit 0

